var Login = {
    nameBox: null
};

Login.init = function() {
    if(false === game.device.desktop){
        this.optimizeMobileView();
    }
    game.scale.pageAlignHorizontally = true;
}

Login.optimizeMobileView = function() {
    console.log('W : '+window.screen.width+', H : '+window.screen.height);
    if(Math.min(window.screen.width, window.screen.height) < game.width) { // If at least one of the two screen dimensions is smaller for the game, enable asking for device reorientation
        game.scale.scaleMode = Phaser.ScaleManager.RESIZE;
        game.scale.forceOrientation(true,false);
    }
}

Login.preload = function() {

};

Login.create = function() {
    this.stage.backgroundColor = 0x00F0F0;
    this.nameBox = game.add.inputField(10, 90, {
        font: '18px Arial',
        fill: '#212121',
        width: this.game.width - 36,
        padding: 8,
        borderWidth: 1,
        borderColor: '#000',
        borderRadius: 6,
        placeHolder: 'Please enter your name'
    });
    this.loginButton = game.add.button(10, 130, '', Login.login, this); 
};

Login.login = function() {

};